Bug 8607 - Latest python-docutils and python3-docutils (0.14.-1) installation failure
: Latest python-docutils and python3-docutils (0.14.-1) installation failure
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-29 19:20 MSK by Giovanni Mariani
Modified: 2018-01-09 10:00 MSK (History)
3 users (show)

See Also:
RPM Package: python-docutils-0.14-1-rosa2016.1.noarch.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2017-12-29 19:20:17 MSK
Description of problem:
Rosa 2016.1 Fresh R10 x86_64.
Update applet signaled an update for the existing python-docutils-0.12-8 package, but the install of the new package fails because of an error in %post scriptlet:
**********************************************
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
update-alternatives: error: alternative path /usr/bin/%{fn}-2.7 doesn't exist
ERROR: 'script' failed for 
error: %post(python-docutils-0.14-1.noarch) scriptlet failed, exit status 2
**********************************************
The same happens for the python3-docutils-0.14-1.noarch.

The culprit lies here in the specfile:
**********************************************
%post
for fn in %{_bindir}/*-%{python2_version}
do
/usr/sbin/update-alternatives --install %{_bindir}/%{fn} %{fn} %{_bindir}/%{fn}-%{python2_version} 20
done

%post -n python3-%{module}
for fn in %{_bindir}/*-%{py3_ver}
do
/usr/sbin/update-alternatives --install %{_bindir}/%{fn} %{fn} %{_bindir}/%{fn}-%{py3_ver} 10
done
**********************************************

Version-Release number of selected component (if applicable):
python-docutils-0.14-1
python3-docutils-0.14-1

How reproducible:
Always.

Steps to Reproduce:
1. Open a konsole
2. Run "sudo urpmi python-docutils" from it
3. Watch the error messages showing up
4. Verify that the update failed: "rpm -qa |grep python-docutils" should show the old 0.12-8 package as still present.
Comment 1 Andrey Bondrov 2018-01-05 14:24:27 MSK
Advisory: "Fix post scripts in python-docutils and python3-docutils"

https://abf.rosalinux.ru/build_lists/2916633
https://abf.rosalinux.ru/build_lists/2916634
Comment 2 Vladimir Potapov 2018-01-05 15:02:05 MSK
retext use python-docutils and not working

retext
Using configuration file: /root/.config/ReText project/ReText.conf
QStandardPaths: wrong ownership on runtime directory /run/user/500, 500 instead of 0
Qt: Session management error: None of the authentication protocols specified are supported
Traceback (most recent call last):
  File "/usr/bin/retext", line 80, in <module>
    main()
  File "/usr/bin/retext", line 60, in main
    window = ReTextWindow()
  File "/usr/lib/python3.5/site-packages/ReText/window.py", line 183, in __init__
    availableMarkups = markups.get_available_markups()
  File "/usr/lib/python3.5/site-packages/markups/__init__.py", line 57, in get_available_markups
    if markup.available():
  File "/usr/lib/python3.5/site-packages/markups/restructuredtext.py", line 31, in available
    import docutils.core
  File "/usr/lib/python3.5/site-packages/docutils/__init__.py", line 112, in <module>
    class ApplicationError(StandardError):
NameError: name 'StandardError' is not defined
Comment 3 Andrey Bondrov 2018-01-06 05:45:57 MSK
Advisory: "Fix post scripts in python-docutils and python3-docutils. Properly build python3 module."

https://abf.rosalinux.ru/build_lists/2916669
https://abf.rosalinux.ru/build_lists/2916670
Comment 4 Vladimir Potapov 2018-01-08 06:01:14 MSK
python-docutils-0.14
https://abf.rosalinux.ru/build_lists/2916669
https://abf.rosalinux.ru/build_lists/2916670
****************************** Advisory *********************************
Fix post scripts in python-docutils and python3-docutils. Properly build python3 module.
*************************************************************************
QA Verified